Bug 184082 - System.Windows.Forms broken
System.Windows.Forms broken
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 19:34 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-18 18:04:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case for demonstratng the problem (287 bytes, text/plain)
2006-03-05 19:34 EST, Paul F. Johnson
no flags Details

  None (edit)
Description Paul F. Johnson 2006-03-05 19:34:14 EST
Created attachment 125691 [details]
test case for demonstratng the problem
Comment 1 Paul F. Johnson 2006-03-05 19:34:14 EST
Description of problem:
SWF code will compile, but fails to run giving throwback

Version-Release number of selected component (if applicable):
mono-1.1.13.4-1
mono-winforms-1.1.13.4-1

How reproducible:
Always

Steps to Reproduce:
1. Using the attached code, compile with mcs list1.cs -r:System.Windows.Forms
-r:System.Drawing
2. mono list1.exe
3.
  
Actual results:
Mono gives the following throwback

Unhandled Exception: System.EntryPointNotFoundException: GdipGetFontHeightGivenDPI
in (wrapper managed-to-native) System.Drawing.GDIPlus:GdipGetFontHeightGivenDPI
(intptr,single,single&)
in <0x0003c> System.Drawing.Font:GetHeight (Single dpi)
in <0x00038> System.Drawing.Font:GetHeight ()
in <0x00012> System.Drawing.Font:get_Height ()
in (wrapper remoting-invoke-with-check) System.Drawing.Font:get_Height ()
in <0x000e2> System.Windows.Forms.Form:GetAutoScaleSize (System.Drawing.Graphics
g, System.Drawing.Font font)
in <0x00056> System.Windows.Forms.Form:.ctor ()
in <0x0001b> testwindow:.ctor ()
in (wrapper remoting-invoke-with-check) testwindow:.ctor ()
in <0x00028> testwindow:Main ()

Expected results:
The file should run and produce a simple window

Additional info:
Comment 2 Paul F. Johnson 2006-03-06 04:45:12 EST
Code seems fine on an x86 box, so have changed the problem platform to x86_64
Comment 3 Alexander Larsson 2006-03-06 05:33:19 EST
Is libgdiplus for the right architecture (i.e. same as the mono package) installed?
Comment 4 Paul F. Johnson 2006-03-06 06:00:19 EST
rpm -qa --queryformat "%-30{NAME}%{ARCH}\n" libgdiplus

libgdiplusx86_64

Yep, it's the same. mono-core and mono-winforms are also reporting x86_64

Comment 5 Alexander Larsson 2006-03-07 05:32:55 EST
I wonder if mono is not looking for it in /usr/lib64 for some reason. Can you
try copying /usr/lib64/libgdiplus.so* to /usr/lib and see if that works?
Comment 6 Paul F. Johnson 2006-03-07 13:46:15 EST
That's got it

Note You need to log in before you can comment on or make changes to this bug.